- Takes a user ID and returns a temporary token that can be exchanged for a real auth token.
Change password
Get all permissions for the requesting user
End login session, invalidating current login token.
Exchange username and password for JWT token
Exchange current token for a new one
Create a short-lived token
Get logged-in user's info.
SAML callback endpoint
Display IdP setup help
Redirect to the SAML login endpoint
Display Peach SP Metadata
Send one time code.
End login session, invalidating current login token.
Exchange username and password for JWT token
Exchange current token for a new one
Replace user's auth based on configured company auth type
Takes a user ID and retur...
Security
oauth2(Required scopes: auth:exchange-token) or bearerAuth or apiKeyHeader
POST
- oauth2
- bearerAuth
- apiKeyHeader
curl -i -X POST \
https://sandboxapi.peach.finance/api/auth/exchange-token \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"userId": "string"
}'